package com.uas.platform.b2b.service.impl;

import com.uas.platform.b2b.dao.CommunalLogDao;
import com.uas.platform.b2b.model.CommunalLog;
import com.uas.platform.b2b.service.CommunalLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by hejq on 2017-12-12.
 */
@Service
public class CommunalLogServiceImpl implements CommunalLogService {

    @Autowired
    private CommunalLogDao communalLogDao;

    @Override
    public void save(CommunalLog communalLog) {
        if(null != communalLog) {
            communalLogDao.save(communalLog);
        }
    }

    @Override
    public void save(Iterable<CommunalLog> iterable) {
        if(null != iterable) {
            communalLogDao.save(iterable);
        }
    }
}
